Update Organization Role
PUThttps://api.confident-ai.com/v1/organization/roles/{roleId}
Updates a custom organization role's name, description, or policies. Global roles cannot be modified.
curl -X PUT "https://api.confident-ai.com/v1/organization/roles/{roleId}" \
-H "CONFIDENT_API_KEY: <ORGANIZATION-API-KEY>" \
-H "Content-Type: application/json" \
-d '{
"name": "Billing Manager",
"description": "Can manage billing and view usage",
"policyIds": [
"policy-uuid-2"
]
}'{
"success": true,
"data": {
"role": {
"id": "role-uuid-3",
"name": "Billing Manager",
"description": "Can manage billing and view usage",
"organizationId": "ORGANIZATION-ID",
"policies": [
{
"id": "policy-uuid-2",
"name": "Manage billing"
}
]
}
}
}Headers
CONFIDENT_API_KEYstringRequiredThe organization API key for your Confident AI organization.
Path parameters
roleIdstringRequiredThe unique identifier of the role.
Request body
namestringRequiredName of the role (must be unique within the organization and cannot be a system role name)
descriptionstringOptional description of the role
policyIdslist of stringsRequiredThe ids of the policies to attach to this role
Response
successbooleanIndicates if the request was successful
dataobjectShow 1 propertyHide 1 property
roleobjectShow 5 propertiesHide 5 properties
idstringUnique identifier for the role
namestringName of the role
descriptionstringOptional description of the role
organizationIdstringThe owning organization id, or
nullfor global, system-defined roles that are available to every organization.policieslist of objectsThe policies attached to this role
Show 2 propertiesHide 2 properties
idstringUnique identifier
namestringName